From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/wireplumber/
Date: Tue, 3 Dec 2024 00:41:19 +0000 (UTC) [thread overview]
Message-ID: <1733186458.e5a45af4f1d55507f8c6d2a923637dc58bd30df1.sam@gentoo> (raw)
commit: e5a45af4f1d55507f8c6d2a923637dc58bd30df1
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 3 00:40:54 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 3 00:40:58 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5a45af4
media-video/wireplumber: add 0.5.7
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-video/wireplumber/Manifest | 1 +
media-video/wireplumber/wireplumber-0.5.7.ebuild | 130 +++++++++++++++++++++++
2 files changed, 131 insertions(+)
diff --git a/media-video/wireplumber/Manifest b/media-video/wireplumber/Manifest
index f05acee20f6e..76a72301e906 100644
--- a/media-video/wireplumber/Manifest
+++ b/media-video/wireplumber/Manifest
@@ -1,2 +1,3 @@
DIST wireplumber-0.5.3.tar.bz2 411081 BLAKE2B 627cb0adaddd512e2b5f2e706b622972232f76000d690837da5f03a3628669b99c4768de6590ec378684311915626de7ac3316bda1f5d1152c9df448ec41e389 SHA512 1c62f7f919242b2a9586ff6a532f214b564bcf10c838eae4a64078edf6fd461fc65f364c8af79150e33b86594331446516a1a4c926bb245a4b2ba2d9f63f7243
DIST wireplumber-0.5.6.tar.bz2 415566 BLAKE2B 7f5323ddea415bac31bbb5f05b711e52bd631d9e6c4b22b6055055761a19c0a4c16a36a90ecd0f90c3fbfaddad8be57e823ad0b97327569e94074bee21d5e31c SHA512 58b18c1c1f1040e9954de75488a82ff7504fb908f7e5d57dd219f3479612551c94a1384d399a99b983f66859560aaf71c8ab9414318e48abb6f8cd3b88fcecc8
+DIST wireplumber-0.5.7.tar.bz2 416878 BLAKE2B 0def07be7c3652ef76d4af9167875a0d26440c33ad8427d9594922e34dd44fb422e63861931dd7d8861d97698d8752c01ff3bedd68445009f55c728dfd4224d1 SHA512 a9f47664359ec8e483a3b16a1ba6b6e6bea3187bd17536f1ee2a756a0b217ebc401d4f21044b4c1caac83f08cead71539cf96705968aac80289cfe7e70857c56
diff --git a/media-video/wireplumber/wireplumber-0.5.7.ebuild b/media-video/wireplumber/wireplumber-0.5.7.ebuild
new file mode 100644
index 000000000000..05daac42ad03
--- /dev/null
+++ b/media-video/wireplumber/wireplumber-0.5.7.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# 1. Please regularly check (even at the point of bumping) Fedora's packaging
+# for needed backports at https://src.fedoraproject.org/rpms/wireplumber/tree/rawhide
+#
+# 2. Keep an eye on git master (for both PipeWire and WirePlumber) as things
+# continue to move quickly. It's not uncommon for fixes to be made shortly
+# after releases.
+
+LUA_COMPAT=( lua5-{3,4} )
+
+inherit lua-single meson systemd
+
+DESCRIPTION="Replacement for pipewire-media-session"
+HOMEPAGE="https://gitlab.freedesktop.org/pipewire/wireplumber"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.freedesktop.org/pipewire/${PN}.git"
+ EGIT_BRANCH="master"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.freedesktop.org/pipewire/${PN}/-/archive/${PV}/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0/0.5"
+IUSE="elogind system-service systemd test"
+
+REQUIRED_USE="
+ ${LUA_REQUIRED_USE}
+ ?? ( elogind systemd )
+ system-service? ( systemd )
+"
+
+RESTRICT="!test? ( test )"
+
+# introspection? ( dev-libs/gobject-introspection ) is valid but likely only used for doc building
+BDEPEND="
+ dev-libs/glib
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ sys-devel/gettext
+ test? ( sys-apps/dbus )
+"
+DEPEND="
+ ${LUA_DEPS}
+ >=dev-libs/glib-2.68
+ >=media-video/pipewire-1.0.5-r1:=
+ virtual/libintl
+ elogind? ( sys-auth/elogind )
+ systemd? ( sys-apps/systemd )
+"
+RDEPEND="
+ ${DEPEND}
+ system-service? (
+ acct-user/pipewire
+ acct-group/pipewire
+ )
+"
+
+DOCS=( {NEWS,README}.rst )
+
+PATCHES=(
+ # Defer enabling sound server parts to media-video/pipewire
+ # TODO: Soon, we should be able to migrate to just a dropin at
+ # /usr/share. See https://gitlab.freedesktop.org/pipewire/wireplumber/-/issues/652#note_2399735.
+ "${FILESDIR}"/${PN}-0.5.6-config-disable-sound-server-parts.patch
+)
+
+src_configure() {
+ local emesonargs=(
+ -Ddaemon=true
+ -Dtools=true
+ -Dmodules=true
+ # Ebuild not wired up yet (Sphinx, Doxygen?)
+ -Ddoc=disabled
+ # Only used for Sphinx doc generation
+ -Dintrospection=disabled
+ -Dsystem-lua=true
+ -Dsystem-lua-version=$(ver_cut 1-2 $(lua_get_version))
+ $(meson_feature elogind)
+ $(meson_feature systemd)
+ $(meson_use system-service systemd-system-service)
+ $(meson_use systemd systemd-user-service)
+ -Dsystemd-system-unit-dir=$(systemd_get_systemunitdir)
+ -Dsystemd-user-unit-dir=$(systemd_get_userunitdir)
+ $(meson_use test tests)
+ $(meson_use test dbus-tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ mv "${ED}"/usr/share/doc/wireplumber/* "${ED}"/usr/share/doc/${PF} || die
+ rmdir "${ED}"/usr/share/doc/wireplumber || die
+}
+
+pkg_postinst() {
+ if systemd_is_booted ; then
+ ewarn "pipewire-media-session.service is no longer installed. You must switch"
+ ewarn "to wireplumber.service user unit before your next logout/reboot:"
+ ewarn "systemctl --user disable pipewire-media-session.service"
+ ewarn "systemctl --user --force enable wireplumber.service"
+ else
+ ewarn "Switch to WirePlumber will happen the next time gentoo-pipewire-launcher"
+ ewarn "is started (a replacement for directly calling pipewire binary)."
+ ewarn
+ ewarn "Please ensure that ${EROOT}/etc/pipewire/pipewire.conf either does not exist"
+ ewarn "or, if it does exist, that any reference to"
+ ewarn "${EROOT}/usr/bin/pipewire-media-session is commented out (begins with a #)."
+ fi
+
+ if use system-service; then
+ ewarn
+ ewarn "WARNING: you have enabled the system-service USE flag, which installs"
+ ewarn "the system-wide systemd units that enable WirePlumber to run as a system"
+ ewarn "service. This is more than likely NOT what you want. You are strongly"
+ ewarn "advised not to enable this mode and instead stick with systemd user"
+ ewarn "units. The default configuration files will likely not work out of"
+ ewarn "box, and you are on your own with configuration."
+ ewarn
+ fi
+}
next reply other threads:[~2024-12-03 0:41 UTC|newest]
Thread overview: 145+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-03 0:41 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-20 8:35 [gentoo-commits] repo/gentoo:master commit in: media-video/wireplumber/ Arthur Zamarin
2025-03-20 8:35 Arthur Zamarin
2025-03-20 8:35 Arthur Zamarin
2025-03-20 8:35 Arthur Zamarin
2025-03-20 8:35 Arthur Zamarin
2025-03-20 8:35 Arthur Zamarin
2025-03-13 4:04 Sam James
2025-03-13 3:15 Sam James
2025-03-13 3:15 Sam James
2025-03-13 1:28 Sam James
2025-03-13 1:21 Sam James
2025-03-13 0:53 Sam James
2025-02-28 12:08 Sam James
2025-02-09 4:32 Sam James
2025-01-12 14:49 Sam James
2025-01-12 13:48 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-03 2:40 Sam James
2024-09-18 6:36 Arthur Zamarin
2024-09-18 6:36 Arthur Zamarin
2024-09-17 20:00 Andreas Sturmlechner
2024-09-17 18:08 Sam James
2024-09-17 18:08 Sam James
2024-09-17 17:49 Sam James
2024-09-17 17:49 Sam James
2024-06-28 17:00 Sam James
2024-06-28 17:00 Sam James
2024-06-28 16:04 Sam James
2024-06-28 16:02 Sam James
2024-06-28 16:01 Sam James
2024-06-28 16:01 Sam James
2024-06-28 15:40 Sam James
2024-06-27 12:18 Sam James
2024-06-02 5:46 Sam James
2024-05-08 22:06 Sam James
2024-05-08 22:06 Sam James
2024-05-06 7:26 Sam James
2024-03-19 5:48 Sam James
2024-01-24 4:57 Ionen Wolkens
2024-01-12 8:30 Arthur Zamarin
2024-01-11 12:03 Sam James
2024-01-11 10:32 Sam James
2024-01-11 10:32 Sam James
2024-01-02 8:13 Sam James
2023-12-10 1:44 Sam James
2023-12-04 9:31 Sam James
2023-11-25 20:47 Sam James
2023-11-24 9:31 Sam James
2023-04-14 0:24 Sam James
2023-04-13 19:28 Sam James
2023-04-13 19:27 Sam James
2023-04-13 19:14 Sam James
2023-03-31 9:28 Jakov Smolić
2023-03-29 14:36 Sam James
2023-03-29 14:33 Sam James
2023-03-29 14:33 Sam James
2023-03-09 23:46 Sam James
2023-01-15 22:32 Sam James
2023-01-13 12:37 Arthur Zamarin
2023-01-03 6:23 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2022-12-14 8:45 Sam James
2022-10-29 21:32 Sam James
2022-10-29 12:42 Arthur Zamarin
2022-10-29 10:34 Jakov Smolić
2022-10-29 10:34 Jakov Smolić
2022-10-29 5:45 Arthur Zamarin
2022-10-29 5:45 Arthur Zamarin
2022-10-28 20:53 Sam James
2022-10-28 19:58 Sam James
2022-10-28 19:56 Sam James
2022-10-04 17:30 Sam James
2022-08-30 9:25 Jakov Smolić
2022-08-30 8:27 Jakov Smolić
2022-08-30 4:35 Arthur Zamarin
2022-08-30 4:35 Arthur Zamarin
2022-08-30 4:35 Arthur Zamarin
2022-08-30 4:35 Arthur Zamarin
2022-07-31 3:40 Sam James
2022-07-31 3:29 Sam James
2022-07-31 3:29 Sam James
2022-07-31 3:29 Sam James
2022-07-31 3:29 Sam James
2022-07-29 3:18 Sam James
2022-07-29 1:53 Sam James
2022-07-19 21:22 Sam James
2022-07-09 1:12 Sam James
2022-07-09 1:12 Sam James
2022-07-09 1:12 Sam James
2022-07-07 8:54 David Seifert
2022-07-05 5:46 Sam James
2022-07-05 5:27 Sam James
2022-07-04 23:52 Sam James
2022-06-21 18:35 Arthur Zamarin
2022-06-16 23:05 Jakov Smolić
2022-06-16 23:05 Jakov Smolić
2022-06-16 16:30 Sam James
2022-06-16 6:11 Agostino Sarubbo
2022-06-16 6:08 Agostino Sarubbo
2022-05-30 4:55 Sam James
2022-05-30 4:46 Sam James
2022-05-10 16:39 Sam James
2022-04-29 6:02 Sam James
2022-04-29 5:38 Sam James
2022-04-25 19:43 Arthur Zamarin
2022-04-24 17:47 Arthur Zamarin
2022-04-24 6:34 Agostino Sarubbo
2022-04-20 6:41 Jakov Smolić
2022-04-13 6:30 Sam James
2022-03-25 1:49 Sam James
2022-03-22 21:44 Sam James
2022-02-22 20:55 Sam James
2022-02-07 22:22 Sam James
2022-01-14 13:58 Sam James
2022-01-06 20:53 Sam James
2022-01-01 3:49 Sam James
2022-01-01 3:49 Sam James
2021-12-18 6:18 Sam James
2021-12-18 6:17 Georgy Yakovlev
2021-12-18 6:14 Georgy Yakovlev
2021-12-18 4:49 Sam James
2021-12-13 22:41 Sam James
2021-11-17 6:59 Joonas Niilola
2021-11-14 7:02 Georgy Yakovlev
2021-11-14 7:02 Georgy Yakovlev
2021-11-11 22:09 Sam James
2021-10-15 21:31 Sam James
2021-10-14 5:09 Sam James
2021-10-10 23:45 Sam James
2021-10-10 2:21 Sam James
2021-10-10 2:21 Sam James
2021-10-10 2:20 Sam James
2021-10-10 0:09 Sam James
2021-10-10 0:05 Sam James
2021-10-09 20:19 Sam James
2021-10-09 6:29 Sam James
2021-09-21 12:06 Marek Szuba
2021-09-15 17:06 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733186458.e5a45af4f1d55507f8c6d2a923637dc58bd30df1.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox